Package org.bukkit.block.data.type

# Enum Class TechnicalPiston.Type

java.lang.Object
java.lang.Enum<TechnicalPiston.Type>
org.bukkit.block.data.type.TechnicalPiston.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<TechnicalPiston.Type>`, `Constable`

Enclosing interface:
  TechnicalPiston

public static enum TechnicalPiston.Type extends Enum<TechnicalPiston.Type>
Different piston variants.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NORMAL`
A normal piston which does not pull connected blocks backwards on retraction.
`STICKY`
A sticky piston which will also retract connected blocks.

## Method Summary

Modifier and Type
Method
Description
`static TechnicalPiston.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TechnicalPiston.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORMAL

public static final TechnicalPiston.Type NORMAL
A normal piston which does not pull connected blocks backwards on retraction.

### STICKY

public static final TechnicalPiston.Type STICKY
A sticky piston which will also retract connected blocks.

## Method Details

### values

public static TechnicalPiston.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TechnicalPiston.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null